org.eclipse.graphiti.ui.internal.policy

## Class GFResizableEditPolicy

- java.lang.Object
- - org.eclipse.gef.editpolicies.AbstractEditPolicy
  - - org.eclipse.gef.editpolicies.GraphicalEditPolicy
    - - org.eclipse.gef.editpolicies.SelectionEditPolicy
      - - org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
        - - org.eclipse.gef.editpolicies.NonResizableEditPolicy
          - - org.eclipse.gef.editpolicies.ResizableEditPolicy
            - - org.eclipse.graphiti.ui.internal.policy.GFResizableEditPolicy

All Implemented Interfaces:
  IAdaptable, org.eclipse.gef.EditPolicy, org.eclipse.gef.RequestConstants

    public class GFResizableEditPolicy
    extends org.eclipse.gef.editpolicies.ResizableEditPolicy

### Field Summary

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
Constructor and Description
`GFResizableEditPolicy(IConfigurationProviderInternal cfgProvider)`
`GFResizableEditPolicy(IConfigurationProviderInternal configurationProvider, IResizeShapeContext resizeShapeContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `eraseSourceFeedback(org.eclipse.gef.Request request)`
`int` `getResizeDirections()`

### Methods inherited from class org.eclipse.gef.editpolicies.ResizableEditPolicy

`getCommand, setResizeDirections, showSourceFeedback, understandsRequest`

### Methods inherited from class org.eclipse.gef.editpolicies.NonResizableEditPolicy

`deactivate, isDragAllowed, setDragAllowed`

### Methods inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy

`getAdapter`

### Methods inherited from class org.eclipse.gef.editpolicies.SelectionEditPolicy

`activate, getTargetEditPart`

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`eraseTargetFeedback, getHost, setHost, showTargetFeedback, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GFResizableEditPolicy

    public GFResizableEditPolicy(IConfigurationProviderInternal cfgProvider)

#### GFResizableEditPolicy

    public GFResizableEditPolicy(IConfigurationProviderInternal configurationProvider,
                                 IResizeShapeContext resizeShapeContext)

### Method Detail

#### eraseSourceFeedback

    public void eraseSourceFeedback(org.eclipse.gef.Request request)

Specified by:
  `eraseSourceFeedback` in interface `org.eclipse.gef.EditPolicy`
Overrides:
  `eraseSourceFeedback` in class `org.eclipse.gef.editpolicies.ResizableEditPolicy`

#### getResizeDirections

    public int getResizeDirections()

Overrides:
  `getResizeDirections` in class `org.eclipse.gef.editpolicies.ResizableEditPolicy`